petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGenerate

Generates a mesh.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGenerate(DM boundary, const char name[], PetscBool interpolate, DM *mesh)

Not Collective Many br

### Input Parameters

| boundary | - The DMPlex boundary object Many br
| name | - The mesh generation package name Many br
| interpolate | - Flag to create intermediate mesh elements Many br

### Output Parameter

mesh -The DMPlex object Many br

Many br

### Keywords

mesh, elements

### See Also

DMPlexCreate(), DMRefine()

Level:intermediate
Location:src/dm/impls/plex/plexgenerate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages